Skip Menu |
 

This queue is for tickets about the Mojolicious-Plugin-HamlRenderer CPAN distribution.

Report information
The Basics
Id: 77537
Status: resolved
Priority: 0/
Queue: Mojolicious-Plugin-HamlRenderer

People
Owner: Nobody in particular
Requestors: henryykt [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 1.0
Fixed in: (no value)



Subject: Installation fails due to deprecation of get_inline_template in Mojolicious::Renderer
Download (untitled) / with headers
text/plain 742b
Hi, I found the following error in the build.log when trying to install the modulue with cpanm: [Thu May 31 02:08:02 2012] [fatal] Processing request failed: Can't locate object method "get_inline_template" via package "Mojolicious::Renderer" at /home/yktang/.cpanm/work/1 338401276.1440/Mojolicious-Plugin-HamlRenderer- 1.0/blib/lib/MojoX/Renderer/Haml.pm line 68. # Failed test '200 OK' # at t/lite_app.t line 31. # got: '500' # expected: '200' # Failed test 'exact match for content' # at t/lite_app.t line 31. # got: '' # expected: '<foo>1 + 1 &lt; 2</foo> # ' Apparently, get_inline_template has been deprecated and removed from Mojolicious::Renderer. It's been replaced by get_data_template.
This was fixed in the 1.1 release made a few months ago.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.